summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-txi
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-txi')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-txi22
1 files changed, 12 insertions, 10 deletions
diff --git a/Master/tlpkg/bin/tl-update-txi b/Master/tlpkg/bin/tl-update-txi
index 33d18fe8748..080b91dc98e 100755
--- a/Master/tlpkg/bin/tl-update-txi
+++ b/Master/tlpkg/bin/tl-update-txi
@@ -47,15 +47,6 @@ do_dvips() {
}
#
-do_epspdf() {
- mypkg=epspdf
- cd $Master/texmf-dist/doc/support/$mypkg
- #makeinfo --no-split $mypkg.info
- #mvcp-if-change $mypkg.info $infodir/
- #done as part of package update?
-}
-
-#
do_fontname() {
mypkg=fontname
cd $CTAN/info/fontname
@@ -72,6 +63,14 @@ do_kpathsea() {
}
#
+do_mf2pt1() {
+ mypkg=mf2pt1
+ cd $Master/texmf-dist/doc/support/$mypkg
+ makeinfo --no-split $mypkg.texi
+ mvcp-if-change $mypkg.info $infodir/
+}
+
+#
do_web2c() {
mypkg=web2c
cd $xk/$mypkg/doc || exit 1
@@ -80,9 +79,11 @@ do_web2c() {
$texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/$mypkg/
}
+do_mf2pt1
+exit $?
+
do_dvipng
do_dvips
-do_epspdf
do_fontname
do_kpathsea
do_web2c
@@ -90,3 +91,4 @@ do_web2c
exit $?
# static: tds, texdraw.
+# done as part of package update: epspdf, latex2e[-es], latex2man.